%define texmf           %{_prefix}/share/texmf
%define build_texmf     %{buildroot}%{texmf}
%define prosper_ver	1.00.4

%ifnos darwin
%define exec_texhash	[ -x %{_bindir}/texhash ] && %{_bindir}/env - %{_bindir}/texhash 2> /dev/null
%define exec_updmap	[ -x %{_bindir}/updmap ] && %{_bindir}/env - %{_bindir}/updmap 2> /dev/null
%else
%define exec_texhash	[ -x %{_bindir}/texhash ] && (PATH=$PATH:%{_bindir}; %{_bindir}/texhash) 2>/dev/null
%define exec_updmap	[ -x %{_bindir}/updmap ] && (PATH=$PATH:%{_bindir}; %{_bindir}/updmap) 2>/dev/null
%endif

Summary: Extra macro packages for tetex
Summary(ja): tetex ǻȤޥѥå
Name: tetex-macros
Obsoletes: pLaTeX2e_Macros
Version: 2.0
Release: 0vl1b
Source0: ftp://ftp.riken.go.jp/pub/tex-archive/macros/latex2e/contrib/supported/geometry.tar.bz2
Source1: epsbox.sty
%define knjfonts kanjifonts-1.1
Source2: %{knjfonts}.tar.gz
Source4: prosper-%{prosper_ver}.tar.bz2
Source5: http://www.matsusaka-u.ac.jp/~okumura/jsclasses/jsclasses.zip
Source6: http://www.matsusaka-u.ac.jp/~okumura/jsclasses/index.html
Source7: ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/jvf/morisawa.tar.gz
Copyright: distributable
Group:  Applications/Publishing
Buildroot: %{_tmppath}/%{name}-root
Requires: tetex
BuildRequires: tetex jvf
BuildArch: noarch
# Distribution: Vine Linux
# Vendor: Project Vine

%description
extra macro packages for tetex, including 
	geometry 2.0a
	epsbox.sty
	kanjifonts-1.1 (for Ricoh Fonts/DynaLab Fonts and JIS font metric)
	jsclasses
	prosper %{prosper_ver}

%description -l ja
tetex ѤɲåޥѥåǤ. ʲΥޥϿƤޤ.
	geometry 2.0a
	epsbox.sty
	kanjifonts-1.1 (ꥳե/ʥեȤJISեȥȥåȤ)
	jsclasses
	prosper %{prosper_ver}

%prep
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%setup -q -a 2 -a 4 -a 7 -c -n ${RPM_PACKAGE_NAME}-${RPM_PACKAGE_VERSION}

(mkdir jsclasses
cd jsclasses
mkdir jsclasses
unzip -a -qq %{SOURCE5}
cp -p %{SOURCE6} ./jsclasses/README.html
)

(cd prosper
mv doc prosper
mv FAQ AUTHORS NEWS README TODO TROUBLESHOOTINGS prosper
)

# get rid of unwanted files
find . -type d -name CVS -exec rm -fd {} \;
find . -type f -name .cvsignore -exec rm -f {} \;

(cd jsclasses
mkdir tmp
for i in *.*; do nkf $i > tmp/$i; done
mv tmp/* .
rmdir tmp
)

%build

(cd jsclasses
export TFMFONTS=.:%{texmf}/fonts//:../morisawa/tfm//
platex jsclasses.dtx
platex jsclasses.dtx
platex okumacro.dtx
platex okumacro.dtx
platex okuverb.dtx
platex okuverb.dtx
platex morisawa.dtx
platex morisawa.dtx
cp *.dvi jsclasses
)



%install
rm -rf %{buildroot}

InstallClass(){
target=$1; shift
(cd $target
bzip2 -dc ${RPM_SOURCE_DIR}/$target.tar.bz2 | tar xf - -C %{build_texmf}/packages/
rm %{build_texmf}/packages/$target/*.{ins,def,bst,rtx,sty,cls,ltx,fnt,cyr,fdd} || :

if [ -f src/$target.ins ]; then
    cp src/* .
fi
latex $target.ins
mkdir -p %{build_texmf}/tex/latex/$target
cp *.{ldf,sty,def,cls,rtx} %{build_texmf}/tex/latex/$target || :
if [ ! -z "$*" ]; then 
%ifos darwin
    cp -RPp $* %{build_texmf}/tex/latex/$target || :
%else
    cp -d $* %{build_texmf}/tex/latex/$target || :
%endif
fi
if [ -n "`ls *.bst`" ]; then
    mkdir -p %{build_texmf}/bibtex/bst/$target
    cp *.bst %{build_texmf}/bibtex/bst/$target || :
fi
)
}

mkdir -p %{build_texmf}/packages/
InstallClass geometry

# install boxedminipage, epsbox, url.sty
mkdir -p %{build_texmf}/tex/generic/misc/
install -m 644 %{SOURCE1} %{build_texmf}/tex/generic/misc/
(cd %{build_texmf}/tex/generic/misc/;	ln -s epsbox.sty epsf.sty)

# install kanjifonts
mkdir -p %{build_texmf}/ptex/platex/generic
mv %{knjfonts}/*.sty %{build_texmf}/ptex/platex/generic
mv %{knjfonts}/*.def %{build_texmf}/ptex/platex/generic

# install prosper
mkdir -p %{build_texmf}/tex/latex/prosper/{contrib,img}
mv prosper/*.{sty,cls} %{build_texmf}/tex/latex/prosper
mv prosper/contrib/*.sty %{build_texmf}/tex/latex/prosper/contrib
mv prosper/img/*.{ps,gif} %{build_texmf}/tex/latex/prosper/img

# install jsclasses
(cd jsclasses
mkdir -p %{build_texmf}/ptex/platex/js
cp -fp *.dtx *.ins *.cls *.sty %{build_texmf}/ptex/platex/js/
)

# install MORISAWA basic 5 fonts
mkdir -p %{build_texmf}/dvips/config/extmap
mkdir -p %{build_texmf}/fonts/tfm/ptex
mkdir -p %{build_texmf}/fonts/tfm/dvips
mkdir -p %{build_texmf}/fonts/vf/ptex
mv morisawa/morisawa.map %{build_texmf}/dvips/config/extmap/
mv morisawa/tfm/ptex/* %{build_texmf}/fonts/tfm/ptex/
mv morisawa/tfm/dvips/* %{build_texmf}/fonts/tfm/dvips/
mv morisawa/vf/* %{build_texmf}/fonts/vf/ptex/

%post
%{exec_texhash}
%{exec_updmap}
exit 0

%postun
if [ "$1" = 0 ]; then
    %{exec_texhash}
    %{exec_updmap}
fi
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%ifos darwin
%defattr(-,root,wheel)
%else
%defattr(-,root,root)
%endif
%doc %{knjfonts}
%doc prosper/prosper
%doc jsclasses/jsclasses
%{texmf}/packages/geometry/
%{texmf}/tex/latex/geometry/
%{texmf}/tex/generic/misc/epsbox.sty
%{texmf}/tex/generic/misc/epsf.sty
%{texmf}/ptex/platex/generic/kanjifonts.sty
%{texmf}/ptex/platex/generic/*.def
#%{texmf}/bibtex/bst/*
%{texmf}/tex/latex/prosper/
%{texmf}/ptex/platex/js
%{texmf}/fonts/vf/ptex/*
%{texmf}/fonts/tfm/ptex/*
%{texmf}/fonts/tfm/dvips/*
%{texmf}/dvips/config/extmap/morisawa.map


%changelog
* Tue Jan 06 2004 Keisuke Fujii <keisuke.fujii@kek.jp>
- 1st build on MacOS X10.3

* Tue Apr 29 2003 Keisuke Fujii <keisuke.fujii@kek.jp>
- 1st build on MacOS X10.2

* Fri Apr 18 2003 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 2.0-0vl1
- update jsclasses/index.html to 2003-04-18.
- added morisawa.dvi.

* Fri Mar 14 2003 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 2.0-0t2
- update jsclasses/index.html to 2003-03-06

* Mon Feb  3 2003 Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp> 2.0-0t1
- remove natbib, which is in tetex-2.0
- let version number same as tetex
- added Requires: tetex

* Sat Jan 18 2003 KAZUKI SHIMURA <rito@pos.to> 1.1-0vl9
- update jsclasses/index.html to 2003-01-16

* Mon Jan 13 2003 KAZUKI SHIMURA <rito@pos.to> 1.1-0vl8
- update jsclasses to 2003-01-05
- update index.html to 2003-01-12

* Thu Nov 28 2002 KAZUKI SHIMURA <rito@pos.to> 1.1-0vl7
- update jsclasses and index.html to 2002-11-27

* Sun Nov 03 2002 KAZUKI SHIMURA <rito@pos.to> 1.1-0vl6
- update jsclasses and index.html to 2002-11-01

* Thu Oct 17 2002 KAZUKI SHIMURA <rito@pos.to> 1.1-0vl5
- oops, packager was incorrect

* Mon Jul 15 2002 KAZUKI SHIMURA <rito@pos.to> 1.1-0vl4
- update jsclasses to 2002-06-29
- update index.html to 2002-07-03

* Sun Apr 28 2002 KAZUKI SHIMURA <rito@pos.to> 1.1-0vl3
- update jsclasses to 2002-04-21
- update index.html to 2002-04-09

* Tue Apr 16 2002 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.1-0vl2
- added MORISAWA basic 5 fonts

* Mon Mar 25 2002 Jun Nishii <jun@vinelinux.org> 1.1-0vl1
- update to kanjifonts-1.1

* Thu Feb 07 2002 KAZUKI SHIMURA <rito@pos.to> 1.0-0vl11
- update jsclasses and index.html to 2002-02-07

* Tue Jan 31 2002 KAZUKI SHIMURA <rito@pos.to> 1.0-0vl10
- update jsclasses and index.html to 2002-01-27
- fix typo in changelog

* Fri Jan 25 2002 KAZUKI SHIMURA <rito@pos.to> 1.0-0vl9
- update jsclasses and index.html to 2002-01-18

* Tue Dec 18 2001 KAZUKI SHIMURA <rito@pos.to> 1.0-0vl8
- update index.html (jsclasses)

* Sat Dec 15 2001 KAZUKI SHIMURA <rito@pos.to> 1.0-0vl7
- update jsclasses to 2001-11-29

* Sun Sep 16 2001 IWAI Masaharu <iwaim@cc.mbn.or.jp> 1.0-0vl6
- fixed spec file for Prosper and jsclasses
- use RPM macro in %files
- added BuildPrereq: jvf

* Mon Sep 10 2001 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.0-0vl5
- move revtex4 to texmacro-aps package

* Sun Sep  9 2001 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.0-0vl4
- added prosper jsclasses

* Mon Sep  6 2001 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 1.0-0vl3
- added revtex4 natbib

* Mon Sep  3 2001 Jun Nishii <jun@vinelinux.org> 1.0-0vl2
- remove prereq tetex to avoid dependency-loop

* Wed Aug  1 2001 Jun Nishii <jun@vinelinux.org>
- tetex-macros-1.0-0vl1

* Fri Jan 21 2000 Jun Nishii <jun@vinelinux.org>
- 2.0-2
- added kanjifonts-1.0 and removed jisfontsmetric

* Sun Jan  9 2000 Jun Nishii <jun@vinelinux.org>
- 2.0-1
- install ldf in babel

* Sat Jan  8 2000 Jun Nishii <jun@vinelinux.org>
- added jisfontmetric.tex

* Fri Oct 29 1999 Norihito Ohmori <ohmori@flatout.org>
- change group.

* Sun Oct 17 1999 Jun Nishii <jun@flatout.org>
- added babel

* Fri Aug 27 1999 Jun Nishii <jun@flatout.org>
- added hoekwater

* Mon Aug 3 1999 Jun Nishii <jun@flatout.org>
- added psfrag

* Mon Jun 21 1999 Jun Nishii <jun@flatout.org>
- added psnfss
- Change directory tree according to the suggestion by Dr.Okumura.
- remove many files from packages directory except documentations
- disable mktexlsr and erase ls-R

* Tue Feb 16 1999 Jun Nishii <jun@flatout.org>
- added url.sty

* Thu Dec 3 1998 Jun Nishii <jun@flatout.org>
- pLaTeX2e_Macros-1-2
- added fancyhdr.sty, boxedminipage.sty
- added graphics.cfg, color.cfg (use dvips as default)
- symlink from epsbox to epsf

* Mon Nov 9 1998 Jun Nishii <jun@flatout.org>
- pLaTeX2e_Macros-1-1
  (rename as pLaTeX2e_Macros from pLaTeX-Classes)
- added def files of graphics
- added tools and hyperref
- check the existence of mktexlsr

* Tue Oct 5 1998 Jun Nishii <jun@flatout.org>
- buildarch: noarch
- added requires

* Tue Sep 29 1998 Jun Nishii <jun@flatout.org>
- tiny bug fix and add %defattr

* Wed Sep 23 1998 Jun Nishii <jun@flatout.org>
- first version fo platex-19980901
